
#include "textbuffer.hpp"

TextBuffer::TextBuffer() : Tool() {
    type = ToolType::TextBuffer;
    label = "buf";
    ed = new QTextEdit();
    ed->setReadOnly(true);
    setFocusProxy(ed);
    QHBoxLayout* lo = new QHBoxLayout(this);
    lo->addWidget(ed);
}

void TextBuffer::append(QString t) {
    ed->append(t);
}
